#!/bin/bash

DST="/usr/share/backgrounds/$(basename $(pwd))"

cat <<EOS > background-1.xml
<background>
  <starttime>
    <year>2009</year>
    <month>08</month>
    <day>04</day>
    <hour>00</hour>
    <minute>00</minute>
    <second>00</second>
  </starttime>
EOS

for f in *jpg
do

if [ -n "$nonfirst" ]
then
cat <<EOS >> background-1.xml
      <to>$DST/$f</to>
  </transition>
EOS
else
nonfirst="true"
fi

cat <<EOS >> background-1.xml
  <static>
      <duration>1795.0</duration>
      <file>$DST/$f</file>
  </static>
  <transition>
      <duration>5.0</duration>
      <from>$DST/$f</from>
EOS
done

#remove last 3 lines
sed -i -n -e :a -e '1,3!{P;N;D;};N;ba' background-1.xml

echo "</background>" >> background-1.xml
